aboutsummaryrefslogtreecommitdiff
path: root/toolchain/binutils/Config.in
blob: efcc0ed86c44f17f9b07c612aa0c650bd526e475 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
# Choose binutils version.

comment "Binutils Options"

choice
	prompt "Binutils Version"
	default BR2_BINUTILS_VERSION_2_16_91_0_7
	help
	  Select the version of binutils you wish to use.

	config BR2_BINUTILS_VERSION_2_14_90_0_8
		depends !BR2_nios2 && BR2_DEPRECATED
		bool "binutils 2.14.90.0.8"

	config BR2_BINUTILS_VERSION_2_15
		depends BR2_DEPRECATED
		bool "binutils 2.15"

	config BR2_BINUTILS_VERSION_2_15_94_0_2_2
		depends !BR2_nios2 && BR2_DEPRECATED
		bool "binutils 2.15.94.0.2.2"

	config BR2_BINUTILS_VERSION_2_16_1
		depends !BR2_nios2
		bool "binutils 2.16.1"

	config BR2_BINUTILS_VERSION_2_16_90_0_3
		depends !BR2_nios2 && BR2_DEPRECATED
		bool "binutils 2.16.90.0.3"

	config BR2_BINUTILS_VERSION_2_16_91_0_5
		depends !BR2_nios2 && BR2_DEPRECATED
		bool "binutils 2.16.91.0.5"

	config BR2_BINUTILS_VERSION_2_16_91_0_6
		depends !BR2_nios2 && BR2_DEPRECATED
		bool "binutils 2.16.91.0.6"

	config BR2_BINUTILS_VERSION_2_16_91_0_7
		depends !BR2_nios2
		bool "binutils 2.16.91.0.7"

	config BR2_BINUTILS_VERSION_2_17
		depends !BR2_nios2
		bool "binutils 2.17"

	config BR2_BINUTILS_VERSION_2_17_50_0_2
		depends !BR2_nios2 && BR2_DEPRECATED
		bool "binutils 2.17.50.0.2"

	config BR2_BINUTILS_VERSION_2_17_50_0_3
		depends !BR2_nios2 && BR2_DEPRECATED
		bool "binutils 2.17.50.0.3"

	config BR2_BINUTILS_VERSION_2_17_50_0_4
		depends !BR2_nios2 && BR2_DEPRECATED
		bool "binutils 2.17.50.0.4"

	config BR2_BINUTILS_VERSION_2_17_50_0_5
		depends !BR2_nios2 && BR2_DEPRECATED
		bool "binutils 2.17.50.0.5"

	config BR2_BINUTILS_VERSION_2_17_50_0_6
		depends !BR2_nios2 && BR2_DEPRECATED
		bool "binutils 2.17.50.0.6"

	config BR2_BINUTILS_VERSION_2_17_50_0_7
		depends !BR2_nios2 && BR2_DEPRECATED
		bool "binutils 2.17.50.0.7"

	config BR2_BINUTILS_VERSION_2_17_50_0_8
		depends !BR2_nios2 && BR2_DEPRECATED
		bool "binutils 2.17.50.0.8"

	config BR2_BINUTILS_VERSION_2_17_50_0_9
		depends !BR2_nios2 && BR2_DEPRECATED
		bool "binutils 2.17.50.0.9"

	config BR2_BINUTILS_VERSION_2_17_50_0_10
		depends !BR2_nios2
		bool "binutils 2.17.50.0.10"

endchoice

config BR2_BINUTILS_VERSION
	string
	default "2.14.90.0.8"     if BR2_BINUTILS_VERSION_2_14_90_0_8
	default "2.15"            if BR2_BINUTILS_VERSION_2_15
	default "2.15.94.0.2.2"   if BR2_BINUTILS_VERSION_2_15_94_0_2_2
	default "2.16.1"          if BR2_BINUTILS_VERSION_2_16_1
	default "2.16.90.0.3"     if BR2_BINUTILS_VERSION_2_16_90_0_3
	default "2.16.91.0.5"     if BR2_BINUTILS_VERSION_2_16_91_0_5
	default "2.16.91.0.6"     if BR2_BINUTILS_VERSION_2_16_91_0_6
	default "2.16.91.0.7"     if BR2_BINUTILS_VERSION_2_16_91_0_7
	default "2.17"            if BR2_BINUTILS_VERSION_2_17
	default "2.17.50.0.2"     if BR2_BINUTILS_VERSION_2_17_50_0_2
	default "2.17.50.0.3"     if BR2_BINUTILS_VERSION_2_17_50_0_3
	default "2.17.50.0.4"     if BR2_BINUTILS_VERSION_2_17_50_0_4
	default "2.17.50.0.5"     if BR2_BINUTILS_VERSION_2_17_50_0_5
	default "2.17.50.0.6"     if BR2_BINUTILS_VERSION_2_17_50_0_6
	default "2.17.50.0.7"     if BR2_BINUTILS_VERSION_2_17_50_0_7
	default "2.17.50.0.8"     if BR2_BINUTILS_VERSION_2_17_50_0_8
	default "2.17.50.0.9"     if BR2_BINUTILS_VERSION_2_17_50_0_9
	default "2.17.50.0.10"    if BR2_BINUTILS_VERSION_2_17_50_0_10

config BR2_EXTRA_BINUTILS_CONFIG_OPTIONS
	string "Additional binutils options"
	default ""
	help
	  Any additional binutils options you may want to include ...